Skip to main content

Run Analyzer (V2)

This operation runs an analyzer on the provided text and returns the tokenization result.

POST
/v2/vectordb/common/run_analyzer
Cluster Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
dbNamestring

The name of the database.

textarrayrequired

A list of text strings to analyze.

[]textstring
(To be added soon)
analyzerParamsstring

The analyzer parameters as a JSON string.

withDetailboolean

Whether to return detailed token information.

withHashboolean

Whether to include hash values in the result.

collectionNamestring

The name of the collection whose field analyzer to use.

fieldNamestring

The name of the field whose analyzer to use.

analyzerNamesarray

A list of analyzer names to use.

[]analyzerNamesstring
(To be added soon)
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/common/run_analyzer" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"text": [
"Hello world"
],
"analyzerParams": "{\"type\": \"standard\"}",
"withDetail": false
}'
Responses200 - application/json
codeinteger
(To be added soon)
dataarray
[]dataobject
tokensarray
[]tokensstring
(To be added soon)

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

{
"code": 0,
"data": [
{
"tokens": [
"hello",
"world"
]
}
]
}